Loading...
Searching...
No Matches
Schema output options
Trees » Schema Tree
Collaboration diagram for Schema output options:

## Macros

#define | LYS_PRINT_NO_SUBSTMT 0x10
#define | LYS_PRINT_SHRINK LY_PRINT_SHRINK

## Detailed Description

Options to change default behavior of the schema printers.

## Macro Definition Documentation

## LYS_PRINT_NO_SUBSTMT

#define LYS_PRINT_NO_SUBSTMT 0x10

Print only top-level/referede node information, do not print information from the substatements

Definition at line 97 of file printer_schema.h.

## LYS_PRINT_SHRINK

#define LYS_PRINT_SHRINK LY_PRINT_SHRINK

Flag for output without indentation and formatting new lines.

Definition at line 96 of file printer_schema.h.